using WinformGeneralDeveloperFrame.Commons;

namespace MES.Entity
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("sysDept")]
    public partial class sysDeptInfo
    {
    [ModelBindControl("txtid")]
    public int id{set;get;}
    [ModelBindControl("txtpid")]
    public int pid{set;get;}
    [ModelBindControl("txtname")]
    public string name{set;get;}
    [ModelBindControl("txtaddress")]
    public string address{set;get;}
    [ModelBindControl("txtphone")]
    public string phone{set;get;}
    [ModelBindControl("txtcreatorId")]
    public int creatorId{set;get;}
    [ModelBindControl("txtcreateTime")]
    public DateTime? createTime{set;get;}=DateTime.Now;
    [ModelBindControl("txteditorId")]
    public int editorId{set;get;}
    [ModelBindControl("txteditTime")]
    public DateTime? editTime{set;get;}=DateTime.Now;
    
    }
}